Get Connection API Metrics
curl --request GET \
--url https://api.example.com/v2/integrations/connections/{connection_id}/api-usage-metrics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/integrations/connections/{connection_id}/api-usage-metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/integrations/connections/{connection_id}/api-usage-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"timestamp": "2023-11-07T05:31:56Z",
"avg_payload_size": 123,
"avg_response_time": 123,
"interval": "<string>",
"total_requests": 123,
"total_success": 123
}
]{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}integrations
Get Connection API Metrics
Return API usage metrics for the connection, optionally limited to requests made since the given timestamp.
GET
/
v2
/
integrations
/
connections
/
{connection_id}
/
api-usage-metrics
Get Connection API Metrics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
Successful Response
Average payload size in bytes.
Average response time in seconds.
Total number of requests for this period.
Total number of successful requests for this period.
